package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.text.DecimalFormat;

/**
 * @Description : 关系-角色菜单
 * @Reference   :
 * @Author      : wei.peng
 * @Date        : 2018-10-22 16:58:43.135
 * @Modify      :
 **/
@Data
@Entity
@Table(name="REF_ROLE_MENU")
@DynamicInsert
@DynamicUpdate
@Api(value="关系-角色菜单",description = "关系-角色菜单")
public class RefRoleMenu extends BaseBean {

 
    @Column(name="MENU_ID")
    @ApiParam(value ="菜单ID" , access ="菜单ID")
    private String menuId;
 
    @Column(name="RED_MENU_NAME")
    @ApiParam(value ="菜单名称" , access ="菜单名称")
    private String redMenuName;
 
    @Column(name="ROLE_ID")
    @ApiParam(value ="角色ID" , access ="角色ID")
    private String roleId;
 
    @Column(name="RED_ROLE_NAME")
    @ApiParam(value ="角色名称" , access ="角色名称")
    private String redRoleName;

}
