package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.text.DecimalFormat;

/**
 * @Description : 关系-用户岗位
 * @Reference   :
 * @Author      : wei.peng
 * @Date        : 2018-10-22 16:58:43.341
 * @Modify      :
 **/
@Data
@Entity
@Table(name="REF_USER_POSITION")
@DynamicInsert
@DynamicUpdate
@Api(value="关系-用户岗位",description = "关系-用户岗位")
public class RefUserPosition extends BaseBean {

 
    @Column(name="ORGANIZE_ID")
    @ApiParam(value ="组织ID" , access ="组织ID")
    private String organizeId;
 
    @Column(name="USER_ID")
    @ApiParam(value ="用户ID" , access ="用户ID")
    private String userId;
 
    @Column(name="POSITION_ID")
    @ApiParam(value ="岗位ID" , access ="岗位ID")
    private String positionId;
 
    @Column(name="RED_POSITION_NAME")
    @ApiParam(value ="岗位名称" , access ="岗位名称")
    private String redPositionName;

}
