package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.text.DecimalFormat;

/**
 * @Description : 关系-用户角色
 * @Reference   :
 * @Author      : wei.peng
 * @Date        : 2018-10-22 16:58:43.417
 * @Modify      :
 **/
@Data
@Entity
@Table(name="REF_USER_ROLE")
@DynamicInsert
@DynamicUpdate
@Api(value="关系-用户角色",description = "关系-用户角色")
public class RefUserRole extends BaseBean {

 
    @Column(name="USER_ID")
    @ApiParam(value ="用户ID" , access ="用户ID")
    private String userId;
 
    @Column(name="ROLE_ID")
    @ApiParam(value ="角色ID" , access ="角色ID")
    private String roleId;
 
    @Column(name="RED_ROLE_ID")
    @ApiParam(value ="角色名称" , access ="角色名称")
    private String redRoleId;

}
