package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.text.DecimalFormat;

/**
 * @Description : 系统时间表达式
 * @Reference   :
 * @Author      : wei.peng
 * @Date        : 2018-10-22 16:58:43.801
 * @Modify      :
 **/
@Data
@Entity
@Table(name="SYS_TIME_EXPRESSION")
@DynamicInsert
@DynamicUpdate
@Api(value="系统时间表达式",description = "系统时间表达式")
public class SysTimeExpression extends BaseBean {

 
    @Column(name="NAME")
    @ApiParam(value ="名称" , access ="名称")
    private String name;
 
    @Column(name="TIME_EXPRESSION")
    @ApiParam(value ="表达式内容" , access ="表达式内容")
    private String timeExpression;
 
    @Column(name="TIME_DESCRIPTION")
    @ApiParam(value ="表达式描述" , access ="表达式描述")
    private String timeDescription;

}
