package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 工厂仓库
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2018-09-04 15:58
 * @Modify:
 **/
@Entity
@Table(name="factory_store")
@Api("工厂仓库")
public class FactoryStore extends BaseBean {

    @Column(name="store_coded")
    @ApiParam("仓库代码")
    public String storeCode;

    @Column(name="store_name")
    @ApiParam("仓库名称")
    public String storeName;

    public FactoryStore() {
    }

    public FactoryStore(String storeCode, String storeName) {
        this.storeCode = storeCode;
        this.storeName = storeName;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    @Override
    public String toString() {
        return "FactoryStore{" +
                "storeCode='" + storeCode + '\'' +
                ", storeName='" + storeName + '\'' +
                ", id=" + id +
                ", isValid=" + isValid +
                ", createDate='" + createDatetime + '\'' +
                ", modifyDate='" + modifyDatetime + '\'' +
                '}';
    }
}
